Bug 1250669 - Upgraded globaldb to 5.4 error when selecting VM's Error caught: [NoMethodError] undefined method `base_class' for NilClass:Class
Upgraded globaldb to 5.4 error when selecting VM's Error caught: [NoMethodErr...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Gregg Tanzillo
Jan Krocil
:
: 1331034 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 14:01 EDT by Jared Deubel
Modified: 2016-06-21 13:23 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Deubel 2015-08-05 14:01:03 EDT
Description of problem:

In preparation for upgrading to CF 5.4, upgraded our Global DB. All appears to be functioning correctly, but when I go to infrastructure -> Virtual machines. I get the following error: 

 Error text:
======================================================================
undefined method `base_class' for NilClass:Class [vm_infra/explorer]

Hide Section - Tags
======================================================================

[----] I, [2015-08-04T15:09:29.723027 #2591:d01eac]  INFO -- : Started GET "/vm_infra/explorer" for 152.144.161.11 at 2015-08-04 15:09:29 +0100
[----] I, [2015-08-04T15:09:29.734489 #2591:d01eac]  INFO -- : Processing by VmInfraController#explorer as HTML
[----] F, [2015-08-04T15:09:41.128655 #2591:d01eac] FATAL -- : Error caught: [NoMethodError] undefined method `base_class' for NilClass:Class
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:100:in `block in sort_tree'
/var/www/miq/lib/util/extensions/miq-hash.rb:14:in `each'
/var/www/miq/lib/util/extensions/miq-hash.rb:14:in `sort_by'
/var/www/miq/lib/util/extensions/miq-hash.rb:14:in `sort_by!'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:98:in `sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:95:in `block in sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `each'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:95:in `block in sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `each'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:95:in `block in sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `each'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:95:in `block in sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `each'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:95:in `block in sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `each'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:95:in `block in sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `each'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:95:in `block in sort_tree'
/var/www/miq/vmdb/app/presenters/tree_builder_vms_and_templates.rb:94:in `each



Version-Release number of selected component (if applicable):
5.4.1.0

How reproducible:


Steps to Reproduce:
1. Select Infra-> Virtual Machines
2. 
3.

Actual results:
Get unexpected error

Expected results:
Navigate to VM screen without any problems

Additional info:
Comment 11 Josh Carter 2016-06-21 13:23:47 EDT
*** Bug 1331034 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.